Subject: RE: Group: Sequin7.3 segmentation faults on linux

From: "Bhagwat, Medha \(NIH/NLM/NCBI\) [E]" <[email-masked]>
Date: Fri, 20 Apr 2007 16:29:30 -0400

Dear Brian,

I was suggested following solution to try..

Please go to 
http://rpm.pbone.net/index.php3/stat/3/srodzaj/1/search/libXm.so.2

Next to the 'Fedora4' entry, you will see a link to the 'openmotif'
package. Download the file with extension 'rpm' and install this package
using the Red Hat package manager (the 'rpm' program) which you should
have on your system. 

Let me know if this helps to solve your problem with Sequin.

Best regards,

Medha

-----Original Message-----
From: Brian Fristensky [mailto:[email-masked]] 
Sent: Monday, April 16, 2007 6:30 PM
To: Bhagwat, Medha (NIH/NLM/NCBI) [E]
Subject: RE: Group: Sequin7.3 segmentation faults on linux

On Mon, 2007-04-16 at 15:56, Bhagwat, Medha (NIH/NLM/NCBI) [E] wrote:

Here is the ldd output on our Fedora4 system:

        linux-gate.so.1 =>  (0x0052f000)
        libXmu.so.6 => /usr/X11R6/lib/libXmu.so.6 (0x05d24000)
        libXm.so.2 => /home/psgendb/lib-linux-intel/libXm.so.2
(0x00a3d000)
        libXt.so.6 => /usr/X11R6/lib/libXt.so.6 (0x00885000)
        libSM.so.6 => /usr/X11R6/lib/libSM.so.6 (0x00dea000)
        libICE.so.6 => /usr/X11R6/lib/libICE.so.6 (0x002e4000)
        libXext.so.6 => /usr/X11R6/lib/libXext.so.6 (0x0086e000)
        libXp.so.6 => /usr/X11R6/lib/libXp.so.6 (0x00c2f000)
        libX11.so.6 => /usr/X11R6/lib/libX11.so.6 (0x00111000)
        libdl.so.2 => /lib/libdl.so.2 (0x006a0000)
        libm.so.6 => /lib/libm.so.6 (0x00679000)
        libc.so.6 => /lib/libc.so.6 (0x0054e000)
        libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0x058ff000)
        libXft.so.2 => /usr/X11R6/lib/libXft.so.2 (0x00c60000)
        libXrender.so.1 => /usr/X11R6/lib/libXrender.so.1 (0x001e4000)
        libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0x058d3000)
        /lib/ld-linux.so.2 (0x00530000)
        libz.so.1 => /usr/lib/libz.so.1 (0x006a6000)
        libexpat.so.0 => /usr/lib/libexpat.so.0 (0x008ef000)
Warning: XtRemoveGrab asked to remove a widget not on the list
Warning: XtRemoveGrab asked to remove a widget not on the list
Warning: XtRemoveGrab asked to remove a widget not on the list
Warning: XtRemoveGrab asked to remove a widget not on the list
Warning: XtRemoveGrab asked to remove a widget not on the list
Warning: XtRemoveGrab asked to remove a widget not on the list
Warning: XtRemoveGrab asked to remove a widget not on the list
Warning: XtRemoveGrab asked to remove a widget not on the list
Warning: XtRemoveGrab asked to remove a widget not on the list
Warning: XtRemoveGrab asked to remove a widget not on the list
Warning: XtRemoveGrab asked to remove a widget not on the list
Warning: XtRemoveGrab asked to remove a widget not on the list
Warning: XtRemoveGrab asked to remove a widget not on the list
Segmentation fault

You'll notice that libXm.so.2 is not in the system libraries,
but had to be added to one of my own directories. I run sequin
from a wrapper script that adds /home/psgendb/lib-linux-intel/
to the LD_LIBRARY_PATH. I added a line to the script to
run ldd just before launching sequin. The Warning messages
may give some clue as to what the problem is.

libXm.so.2 is a very old version of this library. It has not been
present in Red Hat/Fedora releases since at least Fedora4, and
probably earlier than that. It is also not present on recent
releases of Gentoo Linux. The only way I have been able to get Sequin to
run
on Linux for the last few years (at least as far back as Sequin 5.35)
has been to keep a copy of libXm.so.2 around. That has not
worked very well.

It doesn't work to simply make
a symbolic link called 'libXm.so.2' that links to libXm.so.3. That
results in sequin windows appearing with no text, and a bunch
of error messages.

It may be the case that sequin needs to be rebuilt using a more
recent libXm.so.

BF

> Dear Colleague,
> 
> After you have installed the Linux version of Sequin from
> ftp://ftp.ncbi.nih.gov/sequin/ , please send me the output for ldd
> command for the directory that contains Sequin.  For example,
> 
> wheeler@quark0:~> ldd /netopt/ncbi_tools/bin/sequin
>          libXm.so.2 => /usr/X11R6/lib/libXm.so.2 (0x40020000)
>          libXmu.so.6 => /usr/local/xcompat/lib/libXmu.so.6
(0x40141000)
>          libXt.so.6 => /usr/local/xcompat/lib/libXt.so.6 (0x40157000)
>          libX11.so.6 => /usr/local/xcompat/lib/libX11.so.6
(0x401a9000)
>          libXext.so.6 => /usr/local/xcompat/lib/libXext.so.6
> (0x4029b000)
>          libm.so.6 => /lib/libm.so.6 (0x402a9000)
>          libc.so.6 => /lib/libc.so.6 (0x402cb000)
>          libSM.so.6 => /usr/local/xcompat/lib/libSM.so.6 (0x403fa000)
>          libICE.so.6 => /usr/local/xcompat/lib/libICE.so.6
(0x40403000)
>          libXp.so.6 => /usr/X11R6/lib/libXp.so.6 (0x4041b000)
>          libXau.so.6 => /usr/local/xcompat/lib/libXau.so.6
(0x40424000)
>          libXdmcp.so.6 => /usr/local/xcompat/lib/libXdmcp.so.6
> (0x40427000)
>          libdl.so.2 => /lib/libdl.so.2 (0x4042c000)
>          /lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x40000000)
> 
> I will try to see if you can use Sequin on your computer without
> recompiling.
> 
> Best regards,
> 
> Medha Bhagwat, 
> 
> 
> 
> ------------- Begin Forwarded Message -------------
> 
> Delivered-To: [email-masked]
> X-IronPortListener: CES-Inbound
> X-SBRS: 4.7
> X-IronPort-Anti-Spam-Filtered: true
> X-IronPort-Anti-Spam-Result:
> AgAAAE7rIEaCsxAXk2dsb2JhbACPZCQBAQEBBwgGBwgb
> Subject: Sequin7.3 segmentation faults on linux
> From: Brian Fristensky <[email-masked]>
> To: [email-masked]
> Mime-Version: 1.0
> Date: Sat, 14 Apr 2007 16:56:11 -0500
> Content-Transfer-Encoding: 7bit
> X-OriginalArrivalTime: 14 Apr 2007 21:56:12.0830 (UTC) 
> FILETIME=[B7B5CBE0:01C77EDF]
> 
> I have previously reported Segmentation fault errors
> at many places in Sequin on Linux-Intel, and received
> the following reply:
> 
> 
> > Dear Colleague,
> >  
> > 
> > There are many distributions of Linux, and they contain different
> > versions of libraries.  If we statically linked all libraries the
size
> > of the executable would be very large, and any library bug fixes
that
> > are later made to a particular version of Linux would not be
available
> > to the user.
> > 
> > The crash does not occur in testing on Linux at NCBI.  It is common
> for
> > such crashes to occur due to "version skew" when libraries are added
> > manually.
> > 
> > The only reasonable solution for Linux users who have problems with
> one
> > of our applications is to compile it from the source files on his
own
> > system.  That guarantees that he has a consistent set of libraries
> that
> > work properly together.
> >  
> > 
> > 
> > Best regards,
> >  
> > Hanguan Liu
> > NCBI User Services
> 
> This problem still exists in Sequin7.3. However, I can't
> try recompiling as suggested above because as far as
> I can determine, the source code is not available
> at the NCBI FTP site. 
> 
> I still contend that a statically-linked Linux version
> would be far more reliable than asking each Linux
> user to recompile. Nonetheless, if source code was
> available, with thorough instructions, I would attempt to 
> try recompiling. Is the source code available?
> 

-- 
======================================
Brian Fristensky               
Department of Plant Science      
University of Manitoba         
Winnipeg, MB R3T 2N2  CANADA   
[email-masked] 
Phone:            204-474-6085
FAX:              204-474-7528             
http://home.cc.umanitoba.ca/~frist/   
====================================================

If you really want to understand Science, go to the 
junk drawer in your kitchen and pull out your tangled
collection of string. Carefully work it apart, kneed it
with your fingers, pull and untwist, until you have a neat
coil. You will need patience, dexterity, perseverence,
creativity, the ability to view the problem from all 
angles, and the ability to learn, as you go, the tricks
that help you get all of the knots out. Science starts 
with an untelligible mess, and refines it into a
surprisingly simple model.

====================================================